#include<bits/stdc++.h>

using namespace std;

#define llng long long

//#define DEBUG

//ako je XOR = 0, to se uklanja menjanjem samo 1 najjeftinijeg bita - dodavanjem/oduzimanjem
//ako je AND na 1, cena deXORovanja je 2, inace je 1


llng korekcija(llng x, llng i)
{
    if (i==0) return x+(1-(x&1));


    llng eksp = 1LL<<i;

    if (x<eksp)
    {
        #ifdef DEBUG
        cout << "Korekcija na visi eksponent:      " << x << "\t " << eksp << endl;
        #endif // DEBUG
        return eksp;
    }

    if (x&eksp==1LL)
    {
        #ifdef DEBUG
        cout << "Korekcija na isti broj:           " << x << "\t " << x << endl;
        #endif // DEBUG
        return x;
    }

    if ((x&(eksp-1LL))>(eksp/2LL))
    {
        #ifdef DEBUG
        cout << "Korekcija na gornji odgovarajuci: " << x << "\t " << (x-(x&(eksp-1LL)))+eksp << endl;
        #endif // DEBUG
        return (x-(x&(eksp-1LL)))+eksp;
    }

        #ifdef DEBUG
        cout << "Korekcija na donji odgovarajuci:  " << x << "\t " << (x-(x&(eksp-1LL))) << endl;
        #endif // DEBUG
    return (x-(x&(eksp-1LL)));
}

llng abso(llng x)
{
    if (x<0LL) return -x;
    return x;
}

llng cena(llng x,llng i)
{
    return abso(x-korekcija(x,i));
}


int main()
{
    llng n;

    cin >> n;

    llng A[n];

    llng maxex = 0;

    llng mtotal=0;




    for (llng i=0;i<n;i++)
    {
        cin >> A[i];
        mtotal+=A[i];
        while (A[i]>=(1<<maxex))
        {
            maxex++;
        }
    }

    // eand je najvise 2^60


    for (llng eand=0;eand<=maxex;eand++)
    {
        llng total=0;

        llng xxor=0;

        bool vrsenakorekcija = false;
        for (llng i=0;i<n;i++)
        {
            total+=cena(A[i],eand);
            xxor=xxor^korekcija(A[i],eand);

            if (A[i]!=korekcija(A[i],eand))
            {
                vrsenakorekcija=true;
            }
        }

        if (xxor==0)
        {
            if (eand==0)
            {
                if (!vrsenakorekcija && maxex>0)
                {
                    total+=2;
                }
            }
            else
            {
                total+=1;
            }
        }

        if (total<mtotal)
            mtotal=total;
    }

    cout << mtotal;

    return 0;

}